body{
    background-color: #0A0F1C;
    color: white;
    margin: 0;
}

.layoutFlex{
    display: flex;
    align-content: center;
}

.sidebar{
    background-color: saddlebrown;
    height: 50vh;
    width: 20%;
    margin: 0 auto;
    padding: 5vh;
    border-radius: 0 3vh 3vh 0;
}

.pageTitle{
    text-align: center;
    transform: translateY(8vh);
    margin-right: 10%;
}

.mainButton{
    height: 15vh;
    width: 15%;
}

.cardFlex{
    display: flex;
    flex-direction: row;
    align-items: center;
}

@media (max-width: 1000px){
    main{
        height: 110vh;
    }

       .forAnother{
            width: 100%;
        display: flex;
        flex-direction: column; /* 🔥 головне */
        align-items: center;   /* центрує по горизонталі */
           height: 90%;
           justify-content: space-between;
    }

    .forAnother.reverse{
        flex-direction: column-reverse; /* для анімації */
    }
    .buton{
        width: 80%  !important;       /* норм ширина */
        height: 50px;      /* норм висота */

    }
    .forDivHis{
        left: 50%;
    transform: translateX(-50%);
        border-radius: 3vh 3vh 0 0;
        width: 90% !important;
         display: flex;
    flex-direction: column;
    align-items: center; /* центруємо по горизонталі */
    justify-content: center; /* центруємо по вертикалі */
    overflow: hidden;
    }
    .hidden{
    display: none;
}
.forDivHis img{
    width: 100%;
    height: 90%;
    object-fit: cover;
    display: block;
    border-radius: 1vh;
}

    .card{
        width: 90% !important;
        position: relative;
    }

       .forAnother div{
        display: flex;
        flex-direction: column;
        align-items: center;  /* центрує */
        text-align: center;   /* текст по центру */
        width: 100%;
    }

       .leftAnim{
      animation-name: animationInLeft !important;
    animation-duration: 1.3s;
    animation-iteration-count: 1;
    transform: translateY(100%) rotate3d(1, 0, 0, 0deg);

           border-radius: 0 0 3vh 3vh ;

}

@keyframes animationInLeft{
    0%{
        transform: translateX(-50%) translateY(0)
                   rotate3d(1,0,0,180deg);
    }

    50%{
        transform: translateX(-50%) translateY(50%)
                   rotate3d(1,0,0,90deg);
    }

    100%{
        transform: translateX(-50%) translateY(100%)
                   rotate3d(1,0,0,0deg);
    }
}

.RightAnim {
      animation-name: animationInRight !important;
    animation-duration: 1.3s;
    animation-iteration-count: 1;
    transform: translateX(-50%) translateY(0%) rotate3d(1,0,0,0deg);
    border-radius: 3vh 3vh 0 0;
}

@keyframes animationInRight{
    0%{
        transform: translateX(-50%) translateY(100%)
                   rotate3d(1,0,0,180deg);
    }

    50%{
        transform: translateX(-50%) translateY(50%)
                   rotate3d(1,0,0,90deg);
    }

    100%{
        transform: translateX(-50%) translateY(0%)
                   rotate3d(1,0,0,0deg);
    }
}

    .animateBack{
        animation-name: mobileBack;
        animation-duration: 1.3s;
        flex-direction: column-reverse;
    }
    @keyframes mobileBack{
        0%{
            flex-direction: column;
        }
        100%{
            flex-direction: column-reverse;
        }
    }
}


.mainTitlePage{

    position: absolute;
    width: 20%;
    height: 40vh;
    border-radius: 3vh 0 0 3vh;
    margin: 30px;
    background-color: saddlebrown;
    border: solid 3px #723a12;
    text-align: center;
}
